
Figure - Bug #119123
【AF】【VC1】【台架】【副屏】副屏在连接蓝牙情况下刷抖音时会偶现没有声音输出的情况
2023-08-01 10:50 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-08-01

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0731DB

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 该问题是由于之前增加的防止漏音的代码导致，��该部分设置音量为0后，没有及时设置回来导致音量为0，��当前移除该部分后，当前本地验证OK。

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1.网络正常

2.副屏已安装抖音

【操作步骤1】

1.副屏重启连接蓝牙耳机

2.打开抖音播放视频

3.暂停/播放视频

【操作步骤2】

1.已连接蓝牙耳机，重启副屏，重启后蓝牙耳机没有重新连接

2.打开抖音播放视频，此时视频有声音

3.手动连接蓝牙耳机

【实际结果】

抖音当前播放的视频没有声音，更换下一条短视频播放声音恢复；再返回上一条声音同样正常

【预期结果】

蓝牙连接状态时，蓝牙耳机可以正常输出抖音视频声音

History

#1 - 2023-08-01 16:13 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

Hi,

麻烦重新抓个日志呢,票上贴的日志没有audio相关的日志.

tlog里面的logcat文件夹是空的,qxdm没有问题发生时的数据.

我们本地也尝试复现下.

#2 - 2023-08-02 17:23 - 物联网测试组_TSCD 王维

- Assignee changed from 物联网测试组_TSCD 王维 to Multimedia组-RD3_TSCD 梁卿山
qxdm路径：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/119123/tlog_iov0201017500006162025411a2305070000003741_000172_0802172038.tar.gz

复现时间：202308021720

#3 - 2023-08-03 16:25 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

从日志来看，副屏焦点申请正常，我们进一步获取了QXDM日志，发现152E，152F，1586都没有数据，

88494:08-03 14:58:17.606  1573  2749 D AudioService.PlaybackActivityMonitor: idcm_af:requestAudioFocusToIDCM:

event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:239 deviceId:0 type:android.media.AudioTrack u/pid:10107/8542 state:idle

attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800 tags= bundle=null sessionId:105

88496:08-03 14:58:17.609  1009  1284 D APM_AudioPolicyManager: startOutput() output 29, stream 3, session 105

88497:08-03 14:58:17.610  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:199 uid:10100

88498:08-03 14:58:17.610  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:231 uid:10107

88499:08-03 14:58:17.610  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:207 uid:10100

88500:08-03 14:58:17.610  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:239 uid:10107

88501:08-03 14:58:17.610  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:183 uid:10100

88502:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:215 uid:10100

88503:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: muting piid:191 uid:10100

88504:08-03 14:58:17.611  1573  2749 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3

88505:08-03 14:58:17.611  1573  2749 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: Already has a audioFocus AudioFocus_Media

88506:08-03 14:58:17.611  1573  2749 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

88507:08-03 14:58:17.611  1573  2749 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

88508:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:199

88509:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:231

88510:08-03 14:58:17.611  1573  1883 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

88511:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:207

88512:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:239

88513:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:183

88514:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:215

88515:08-03 14:58:17.611  1573  1883 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 1 info=

RequestInfosToIDCM{mPid=8542, mUid=10107}

88516:08-03 14:58:17.611  1573  2749 I AudioService.PlaybackActivityMonitor: call: unmuting piid:191

88517:08-03 14:58:17.611  1573  1883 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 1 info: RequestInfosToIDCM{mPid=8542, mUid=10107}

88518:08-03 14:58:17.611  1573  1883 D AS.AudioService: idcm_af:onAudioFocusRemoteChanged: 1 unmute music

88528:08-03 14:58:17.613  1573  1883 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 10107 fr = 10107 focusChange= 1

88529:08-03 14:58:17.613  1573  1883 D MediaFocusControl: audio_idcm: fr packagename =com.ss.android.ugc.aweme

88530:08-03 14:58:17.613  1573  1883 W MediaFocusControl: Request AudioFocus again: update mFocusLossReceived -> AUDIOFOCUS_NONE

88531:08-03 14:58:17.613  1573  1883 D AudioIDCMicroNegotiator: idcm_af:wait messsage end

88532:08-03 14:58:17.613  1573  1883 D AudioIDCMicroNegotiator: idcm_af:wait messsage start

88559:08-03 14:58:18.586  1009  1284 D APM_AudioPolicyManager: stopOutput portId 39

88560:08-03 14:58:18.586  1009  1284 D APM_AudioPolicyManager: stopOutput() output 29, stream 3, session 105

下一步：

增加audioflinger中的dump看看应用是否写数据下来。

#4 - 2023-08-04 18:29 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED
HI ALL

当前现状：

1.该问题本地dump了audioflinger的数据，发现抖音数据正常下传；

下一步

需要在audio hardware中增加dump并复现。

#5 - 2023-08-09 17:30 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前分析

从audio hw的dump来看，pcm数据为0.没有波形，所以没有声音，

当前从audioflinger日志看，加载到track的音量一直为1.0，

当前发现有以下日志异常，

08-09 15:24:21.972   811   811 D audio_hw_primary: out_set_volume: called with left_vol=0.000000, right_vol=0.000000

08-09 15:24:21.972   811   811 E audio_hw_primary: out_set_compr_volume:ctl for mixer cmd - Compress Playback 11 Volume, left 0.000000, right 0.000000

下一步

进一步加日志，看谁调用的这个方法。

#6 - 2023-08-11 11:39 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Verified Version set to 该问题是由于之前增加的防止漏音的代码导致，

该部分设置音量为0后，没有及时设置回来导致音量为0，

当前移除该部分后，当前本地验证OK。

Hi ALL

该问题是由于之前增加的防止漏音的代码导致，

该部分设置音量为0后，没有及时设置回来导致音量为0，

当前移除该部分后，当前本地验证OK。

#7 - 2023-08-11 15:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302565 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio: Fix playback without soundFix playback without soundTC-RID: 0301-0900116IssueID: TS-R-DF-119123Change-Id:

I7e4df8f5287c64619aded29799109c647744a9f9

#8 - 2023-08-11 15:18 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

#9 - 2023-08-11 15:18 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

当前现状

当前已经投入相关的提交，等待DB做压测验证。

下一步

请帮忙使用8月12日新版本验证，谢谢

#10 - 2023-08-14 16:06 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

0812DB验证未复现，后续跟踪2个版本

#11 - 2023-08-14 18:57 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303209 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Fix playback without soundFix playback without soundTC-RID: 0301-0900116IssueID: TS-R-DF-119123Change-Id:

I7e4df8f5287c64619aded29799109c647744a9f9(cherry picked from commit 3ac0fcd95e35b938ea73792453cf1508f639ef60)

#12 - 2023-08-15 16:54 - 物联网测试组_TSCD 王维

0133验证未复现，后续跟踪1个版本

#13 - 2023-09-11 16:32 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

已在下列版本中验证通过

01.00.0138

01.00.0140

01.00.0142
Files

douyinwusheng.txt 3.45 MB 2023-08-01 物联网测试组_TSCD 王维
